javax.swing.plaf.basic

## Class BasicSliderUI.ScrollListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicSliderUI.ScrollListener

- All Implemented Interfaces:
    ActionListener, EventListener
  Enclosing class:
    BasicSliderUI

      public class BasicSliderUI.ScrollListener
      extends Object
      implements ActionListener

  Scroll-event listener. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicSliderUI.ScrollListener()`
    `BasicSliderUI.ScrollListener(int dir, boolean block)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.
    `void` | `setDirection(int direction)`
    `void` | `setScrollByBlock(boolean block)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicSliderUI.ScrollListener

          public BasicSliderUI.ScrollListener()

    - #### BasicSliderUI.ScrollListener

          public BasicSliderUI.ScrollListener(int dir,
                                      boolean block)

  - ### Method Detail

    - #### setDirection

          public void setDirection(int direction)

    - #### setScrollByBlock

          public void setScrollByBlock(boolean block)

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

      Description copied from interface: `ActionListener`
      Invoked when an action occurs.
      Specified by:
        `actionPerformed` in interface `ActionListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.